//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
int Transparency = 90;//насколько прозрачным будет окно (0-100%)
long ExtStyle = GetWindowLong(Handle, GWL_EXSTYLE);
SetWindowLong(Handle, GWL_EXSTYLE, ExtStyle | WS_EX_LAYERED);
SetLayeredWindowAttributes(Handle, 0 , (255 * Transparency) / 100, LWA_ALPHA);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::CheckBox1Click(TObject *Sender)
{
Image19->Visible=false;
Image18->Visible=false;
if(Edit1->Text=="Инкапсуляция") {
Edit1->Text="Инкапсуляция" ;
Image19->Visible=true;}
else {Edit1->Text=""; Image18->Visible=true;}
}
//---------------------------------------------------------------------------

void __fastcall TForm1::CheckBox2Click(TObject *Sender)
{
   Image21->Visible=false;
Image20->Visible=false;
if(Edit2->Text=="Наследование") {
Edit2->Text="Наследование" ;
Image21->Visible=true;}
else {Edit2->Text=""; Image20->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox3Click(TObject *Sender)
{
  Image23->Visible=false;
Image22->Visible=false;
if(Edit3->Text=="Полиморфизм") {
Edit3->Text="Полиморфизм" ;
Image23->Visible=true;}
else {Edit3->Text=""; Image22->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox4Click(TObject *Sender)
{
  Image25->Visible=false;
Image24->Visible=false;
if(Edit4->Text=="Класс") {
Edit4->Text="Класс" ;
Image25->Visible=true;}
else {Edit4->Text=""; Image24->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox5Click(TObject *Sender)
{
   Image27->Visible=false;
Image26->Visible=false;
if(Edit5->Text=="Объект") {
Edit5->Text="Объект" ;
Image27->Visible=true;}
else {Edit5->Text=""; Image26->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox9Click(TObject *Sender)
{
  Image35->Visible=false;
Image34->Visible=false;
if(Edit9->Text=="Методы") {
Edit9->Text="Методы" ;
Image35->Visible=true;}
else {Edit9->Text=""; Image34->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox10Click(TObject *Sender)
{
 Image37->Visible=false;
Image36->Visible=false;
if(Edit10->Text=="Функции") {
Edit10->Text="Функции" ;
Image37->Visible=true;}
else {Edit10->Text=""; Image36->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox11Click(TObject *Sender)
{
 Image39->Visible=false;
Image38->Visible=false;
if(Edit11->Text=="Конструкторы") {
Edit11->Text="Конструкторы" ;
Image39->Visible=true;}
else {Edit11->Text=""; Image38->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox12Click(TObject *Sender)
{
  Image41->Visible=false;
Image40->Visible=false;
if(Edit12->Text=="Деструкторы") {
Edit12->Text="Деструкторы" ;
Image41->Visible=true;}
else {Edit12->Text=""; Image40->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox13Click(TObject *Sender)
{
 Image43->Visible=false;
Image42->Visible=false;
if(Edit13->Text=="Библиотеки") {
Edit13->Text="Библиотеки" ;
Image43->Visible=true;}
else {Edit13->Text=""; Image42->Visible=true;}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SpeedButton1Click(TObject *Sender)
{
Form1->Close();
}
//---------------------------------------------------------------------------


void __fastcall TForm1::SpeedButton2Click(TObject *Sender)
{
if(Edit6->Text=="star trek") {
Form2->Show();}
}
//---------------------------------------------------------------------------

